Bug 446708 - Sdhci driver locks up the machine at boot.
Sdhci driver locks up the machine at boot.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-15 14:31 EDT by Lukasz Olszewski
Modified: 2009-07-14 11:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:46:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lukasz Olszewski 2008-05-15 14:31:24 EDT
Description of problem:

Sdhci driver prints this message:
sdhc0: slot0: Unknown controller version (16). You may experience problems.
Then the machine locks up and can only be rebooted by a hard reset.

Version-Release number of selected component (if applicable):

Fedora 9 live CD.

How reproducible:

Happens every time the driver is loaded. (At boot time.)

Additional info:

Machine details:
Laptop, Philips Freevents x53, CPU Intel Core Duo T2050, 1GB RAM, 80GB SATA HDD.

Details of the SD/MMc card reader:
Bus 3 (PCI), Device Number 6, Device Function 2
 Vendor 1217h O2 Micro Inc
 Device 7120h Integrated MMC/SD Controller
 Command 0002h (Memory Access)
 Status 0410h (Has Capabilities List, Slow Timing)
 Revision 01h, Header Type 00h, Bus Latency Timer 40h
 Self test 00h (Self test not supported)
 Cache line size 32 Bytes (8 DWords)
 PCI Class System, type SD Host Controller (Without DMA)
 Subsystem ID A00314FFh Unknown
 Subsystem Vendor 14FFh Twinhead International Corp
 Address 0 is a Memory Address (anywhere in 0-4Gb) : FFE3FF00h
 System IRQ 19, INT# A
 New Capabilities List Present:
   Power Management Capability, Version 1.1
     Supports low power State D1
     Supports low power State D2
     Supports PME# signalling from mode(s) D0, D1, D2, D3hot, D3cold
     PME# signalling is currently disabled
     Current Power State : D0 (Device operational, no power saving)
     3.3v AUX Current required : 0mA (Self powered)

 Bus 3 (PCI), Device Number 6, Device Function 3
 Vendor 1217h O2 Micro Inc
 Device 7130h Integrated MS/xD/SM Controller
 Command 0002h (Memory Access)
 Status 0410h (Has Capabilities List, Slow Timing)
 Revision 01h, Header Type 00h, Bus Latency Timer 40h
 Self test 00h (Self test not supported)
 Cache line size 32 Bytes (8 DWords)
 PCI Class Storage, type Other
 Subsystem ID A00314FFh Unknown
 Subsystem Vendor 14FFh Twinhead International Corp
 Address 0 is a Memory Address (anywhere in 0-4Gb) : FFE3E000h
 System IRQ 19, INT# A
 New Capabilities List Present:
   Power Management Capability, Version 1.1
     Supports low power State D1
     Supports low power State D2
     Supports PME# signalling from mode(s) D0, D1, D2, D3hot, D3cold
     PME# signalling is currently disabled
     Current Power State : D0 (Device operational, no power saving)
     3.3v AUX Current required : 0mA (Self powered)
Comment 1 Dave Jones 2008-05-16 10:11:05 EDT
if you boot with initcall_debug , what is the last line that is printed before
it locks up?
Comment 2 Bug Zapper 2009-06-09 20:52:13 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-07-14 11:46:31 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.